Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.CPDWorkflowSection

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.WorkflowSection
          org.jasig.portal.channels.CChannelManager.CPDWorkflowSection

Enclosing class:
  CChannelManager

    protected class CChannelManager.CPDWorkflowSection

extends CChannelManager.WorkflowSection

Field Summary
`protected org.w3c.dom.Document` | `cpdDoc`

Fields inherited from class org.jasig.portal.channels.CChannelManager.WorkflowSection
`name, steps`

Constructor Summary
`protected` | `CChannelManager.CPDWorkflowSection(java.lang.String chanTypeID)`

Method Summary
`protected void` | `addToStep(org.w3c.dom.Element element, java.lang.String stepID)`
`protected org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)`

Methods inherited from class org.jasig.portal.channels.CChannelManager.WorkflowSection
`addStep, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cpdDoc

    protected org.w3c.dom.Document cpdDoc

Constructor Detail

### CChannelManager.CPDWorkflowSection

    protected CChannelManager.CPDWorkflowSection(java.lang.String chanTypeID)
                                          throws PortalException

Throws:
  `PortalException`

Method Detail

### addToStep

    protected void addToStep(org.w3c.dom.Element element,
                             java.lang.String stepID)

### toXML

    protected org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Overrides:
    `toXML` in class `CChannelManager.WorkflowSection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD